%define name m4
%define version 1.4
%define release 16mdk


Summary: The GNU macro processor.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.gnu.org/pub/gnu/m4-1.4.tar.bz2
Patch: m4-1.4-glibc.patch.bz2
Buildroot: /var/tmp/%{name}-buildroot
Prereq: /sbin/install-info

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

Install m4 if you need a macro processor.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1

%build
./configure --prefix=/usr
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s

%install
./configure --prefix=$RPM_BUILD_ROOT/usr
make install

%files
%defattr(-,root,root)
%doc NEWS README
/usr/bin/m4
/usr/info/*

%post
/sbin/install-info /usr/info/m4.info.bz2 /usr/info/dir

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --delete /usr/info/m4.info.bz2 /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.4-16mdk
- spechelper fixes
- group fix

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.
- Fix building as user.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 12)

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build against glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- Manhattan build

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- added info file handling and BuildRoot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

